Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Interface SocksProxy

All Known Implementing Classes:
  Socks

    public interface SocksProxy

This interface is provided for the SOCKS server and client. Basically, it provides the constants that are used in the SOCKS protocol.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2008/02/25 16:56:24 $
Author:
  Harry Liu

Field Summary
`static int` | `ADDR_TYPE_DOMAINNAME`
`static int` | `ADDR_TYPE_IP_V4`
`static int` | `ADDR_TYPE_IP_V6`
`static int` | `CMD_FLAG`
`static int` | `COMMAND_BIND`
`static int` | `COMMAND_CONNECT`
`static int` | `COMMAND_UDP_ASSOCIATE`
`static int` | `DEFAULT_PORT`
`static int` | `METHOD_CHAP`
`static int` | `METHOD_GSSAPI`
`static int` | `METHOD_NO_ACCEPTABLE_METHODS`
`static int` | `METHOD_NO_AUTHENTICATION_REQUIRED`
`static int` | `METHOD_USERNAME_PASSWORD`
`static int` | `NULL_IND`
`static int` | `REPLY_V4_GRANTED`
`static int` | `REPLY_V4_REJECTED`
`static int` | `REPLY_V4_REJECTED_DIFF_IDENTS`
`static int` | `REPLY_V4_REJECTED_NO_IDENTD`
`static int` | `REPLY_V5_ADDRESS_TYPE_NOT_SUPPORTED`
`static int` | `REPLY_V5_COMMAND_NOT_SUPPORTED`
`static int` | `REPLY_V5_FAILURE`
`static int` | `REPLY_V5_HOST_UNREACHABLE`
`static int` | `REPLY_V5_INVALID_ADDRESS`
`static int` | `REPLY_V5_NETWORK_UNREACHABLE`
`static int` | `REPLY_V5_NOT_ALLOWED`
`static int` | `REPLY_V5_REFUSED`
`static int` | `REPLY_V5_SUCCEEDED`
`static int` | `REPLY_V5_TTL_EXPIRED`
`static int` | `UDP_FLAG_INTERFACE_REQUEST`
`static int` | `UDP_FLAG_USECLIENTSPORT`
`static int` | `UDP_INTERFACE_DATA`
`static int` | `VERSION_4`
`static int` | `VERSION_4A`
`static int` | `VERSION_5`
`static int` | `VERSION_UNKNOWN`

Field Detail

### DEFAULT_PORT

    static final int DEFAULT_PORT

See Also:
  Constant Field Values

### VERSION_4

    static final int VERSION_4

See Also:
  Constant Field Values

### VERSION_4A

    static final int VERSION_4A

See Also:
  Constant Field Values

### VERSION_5

    static final int VERSION_5

See Also:
  Constant Field Values

### VERSION_UNKNOWN

    static final int VERSION_UNKNOWN

See Also:
  Constant Field Values

### NULL_IND

    static final int NULL_IND

See Also:
  Constant Field Values

### COMMAND_CONNECT

    static final int COMMAND_CONNECT

See Also:
  Constant Field Values

### COMMAND_BIND

    static final int COMMAND_BIND

See Also:
  Constant Field Values

### COMMAND_UDP_ASSOCIATE

    static final int COMMAND_UDP_ASSOCIATE

See Also:
  Constant Field Values

### REPLY_V4_GRANTED

    static final int REPLY_V4_GRANTED

See Also:
  Constant Field Values

### REPLY_V4_REJECTED

    static final int REPLY_V4_REJECTED

See Also:
  Constant Field Values

### REPLY_V4_REJECTED_NO_IDENTD

    static final int REPLY_V4_REJECTED_NO_IDENTD

See Also:
  Constant Field Values

### REPLY_V4_REJECTED_DIFF_IDENTS

    static final int REPLY_V4_REJECTED_DIFF_IDENTS

See Also:
  Constant Field Values

### REPLY_V5_SUCCEEDED

    static final int REPLY_V5_SUCCEEDED

See Also:
  Constant Field Values

### REPLY_V5_FAILURE

    static final int REPLY_V5_FAILURE

See Also:
  Constant Field Values

### REPLY_V5_NOT_ALLOWED

    static final int REPLY_V5_NOT_ALLOWED

See Also:
  Constant Field Values

### REPLY_V5_NETWORK_UNREACHABLE

    static final int REPLY_V5_NETWORK_UNREACHABLE

See Also:
  Constant Field Values

### REPLY_V5_HOST_UNREACHABLE

    static final int REPLY_V5_HOST_UNREACHABLE

See Also:
  Constant Field Values

### REPLY_V5_REFUSED

    static final int REPLY_V5_REFUSED

See Also:
  Constant Field Values

### REPLY_V5_TTL_EXPIRED

    static final int REPLY_V5_TTL_EXPIRED

See Also:
  Constant Field Values

### REPLY_V5_COMMAND_NOT_SUPPORTED

    static final int REPLY_V5_COMMAND_NOT_SUPPORTED

See Also:
  Constant Field Values

### REPLY_V5_ADDRESS_TYPE_NOT_SUPPORTED

    static final int REPLY_V5_ADDRESS_TYPE_NOT_SUPPORTED

See Also:
  Constant Field Values

### REPLY_V5_INVALID_ADDRESS

    static final int REPLY_V5_INVALID_ADDRESS

See Also:
  Constant Field Values

### ADDR_TYPE_IP_V4

    static final int ADDR_TYPE_IP_V4

See Also:
  Constant Field Values

### ADDR_TYPE_DOMAINNAME

    static final int ADDR_TYPE_DOMAINNAME

See Also:
  Constant Field Values

### ADDR_TYPE_IP_V6

    static final int ADDR_TYPE_IP_V6

See Also:
  Constant Field Values

### METHOD_NO_AUTHENTICATION_REQUIRED

    static final int METHOD_NO_AUTHENTICATION_REQUIRED

See Also:
  Constant Field Values

### METHOD_GSSAPI

    static final int METHOD_GSSAPI

See Also:
  Constant Field Values

### METHOD_USERNAME_PASSWORD

    static final int METHOD_USERNAME_PASSWORD

See Also:
  Constant Field Values

### METHOD_CHAP

    static final int METHOD_CHAP

See Also:
  Constant Field Values

### METHOD_NO_ACCEPTABLE_METHODS

    static final int METHOD_NO_ACCEPTABLE_METHODS

See Also:
  Constant Field Values

### CMD_FLAG

    static final int CMD_FLAG

See Also:
  Constant Field Values

### UDP_FLAG_INTERFACE_REQUEST

    static final int UDP_FLAG_INTERFACE_REQUEST

See Also:
  Constant Field Values

### UDP_FLAG_USECLIENTSPORT

    static final int UDP_FLAG_USECLIENTSPORT

See Also:
  Constant Field Values

### UDP_INTERFACE_DATA

    static final int UDP_INTERFACE_DATA

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD